#ifndef BOARDS_CPART148_BOARD_H_
#define BOARDS_CPART148_BOARD_H_

#include <arch/cc1010/phal.h>
#include <arch/cc1010/rf.h>

#define BOARD_CLK_FREQ	14746
	
/** ******************************************
 *
 * CONAN Connector
 *
 */
#define TRIS_CONN_02	1,0
#define TRIS_CONN_03	1,1
#define TRIS_CONN_04	1,2
#define TRIS_CONN_05	1,3
#define TRIS_CONN_06	1,4
#define TRIS_CONN_07	1,5
#define TRIS_CONN_08	1,6
#define TRIS_CONN_09	1,7
#define TRIS_CONN_11	2,6
#define TRIS_CONN_12	2,5
#define TRIS_CONN_13	2,4
#define TRIS_CONN_14	2,3
// #define PIN_CONN_15	"PROG"
#define TRIS_CONN_16	0,0
#define TRIS_CONN_17	0,1
#define TRIS_CONN_18	0,2
#define TRIS_CONN_19	2,1
#define TRIS_CONN_20	2,0

// #define PIN_CONN_02	"V+"
#define PIN_CONN_02		P1_0
#define PIN_CONN_03		P1_1
#define PIN_CONN_04		P1_2
#define PIN_CONN_05		P1_3
#define PIN_CONN_06		P1_4
#define PIN_CONN_07		P1_5
#define PIN_CONN_08		P1_6
#define PIN_CONN_09		P1_7

#define PIN_CONN_11		P2_6	// AD0
#define PIN_CONN_12		P2_5	// AD1

#define PIN_CONN_13		P2_4	// 7"EXT INT 0"
#define PIN_CONN_14		P2_3	// "counter input for timer0, pwm 2"
// #define PIN_CONN_15	"PROG"

#define PIN_CONN_16		P0_0	// SCK 
#define PIN_CONN_17		P0_1	// MO,SI
#define PIN_CONN_18		P0_2	// MI, SO
#define PIN_CONN_19		P2_1	// TX
#define PIN_CONN_20		P2_0	// RX
// #define PIN_CONN_21	"GND"
/** ****************************************** */

/** ******************************************
 * LEDs
 *
 * Turn blue LED on with SET_LED( BLUE, LED_ON );
 * Turn blue LED off with SET_LED( BLUE, LED_OFF );
 */
#define PIN_LED_RED		P3_5
#define TRIS_LED_RED	3,5
#define PIN_LED_BLUE	P3_3
#define TRIS_LED_BLUE	3,3

#define LED_OFF 0
#define LED_ON  1

#define SET_LED( led, on )	do{ PIN_LED_ ## led = (on); }while(0)

/** ****************************************** */

/** @brief Gets Board ID
 *
 * @param id pointer to array of length BOARD_ID_LENGTH
 */
void BoardGetID( uint8_t *id );
#define BOARD_ID_LENGTH 8

// for listen before talk (rf)
#define 	BOARD_ADC_CHANNEL_RSSI		2


/** @brief Inits Board
 *
 */
void BoardInit();
	
	
#endif /*BOARDS_CPART148_BOARD_H_*/
