#ifndef COMPILER_SDCC_H_
#define COMPILER_SDCC_H_

/* signed integer types */
typedef	signed char int8_t;
typedef	signed int int16_t;
typedef	signed long int32_t;

/* unsigned integer types */
typedef	unsigned char uint8_t;
typedef	unsigned int uint16_t;
typedef	unsigned long uint32_t;


/// returns a positive value if bit y is set in byte x, 0 otherwise
#define bit_test(x, y)  ( ((x) >> (y)) & 1 )

/// clears bit y in byte x (sets it to 0)
#define bit_clear(x, y) ( (x) &= ~(1 << (y)) )

/// sets bit y in byte x (sets it to 1)
#define bit_set(x, y)   ( (x) |= (1 << (y)) )

/**
 * redefine external storage class
 */
#undef XRAM
#define XRAM  xdata

/**
 * special keyword to mark critical function
 */
#undef CRITICALFUNCTION
#define CRITICALFUNCTION __critical

#endif /*COMPILER_SDCC_H_*/
