#ifndef NET_ACL_H_
#define NET_ACL_H_

/* include automatically the corresponding board header file */
#include INC_BOARD( board.h )

/* ACL type definitions */
#define CTL_HI_BYTE 161
#define CTL_LO_BYTE 120
#define RID_HI_BYTE 0xA5
#define RID_LO_BYTE 0x5A
#define RSQ_HI_BYTE 15
#define RSQ_LO_BYTE 16
#define RDG_HI_BYTE 11
#define RDG_LO_BYTE 12

#define ACL_TYPE_CCI_HI		140
#define ACL_TYPE_CCI_LO		16
#define ACL_TYPE_CCE_HI		115
#define ACL_TYPE_CCE_LO		16
// globals

extern	RF_RXTXPAIR_SETTINGS code RF_SETTINGS;
extern  RF_RXTXPAIR_CALDATA xdata RF_CALDATA;	// Calibration data


// receive
extern uint8_t xdata rf_header_receive[ RF_HEADER_SIZE ];
extern uint8_t xdata rf_payload_receive[ RF_PAYLOAD_SIZE ];
extern uint8_t xdata rf_crc_receive[ RF_CRC_SIZE ];
extern uint8_t xdata rf_new_data_receive;
extern uint8_t xdata rf_payload_length_receive;
extern uint8_t xdata rf_receive_buffer_locked;

//send
extern uint8_t xdata rf_header_send[ RF_HEADER_SIZE ];
extern uint8_t xdata rf_payload_send[ RF_PAYLOAD_SIZE ];
extern uint8_t xdata rf_crc_send[ RF_CRC_SIZE ];
extern uint8_t xdata rf_payload_length_send;
extern uint8_t xdata rf_tuple_length_position_send;
extern uint8_t xdata rf_seq_number_send;

/* prototypes */
uint8_t ACLInit();
uint8_t ACLSendPacket( uint16_t timeout );
uint8_t ACLAddNewType(uint8_t type_h, uint8_t type_l);
uint8_t ACLAddData( uint8_t datum );
uint8_t ACLGetRemainingPayloadSpace();
uint8_t ACLGetReceivedPayloadLength();
int8_t ACLGetReceivedDataLength( uint8_t type_h, uint8_t type_l);
uint8_t ACLFoundReceivedType( uint8_t type_h, uint8_t type_l);
uint8_t* ACLGetReceivedData( uint8_t type_h, uint8_t type_l);
uint8_t ACLGetReceivedByte( uint8_t type_h, uint8_t type_l, uint8_t position);
void ACLLockReceiveBuffer();
uint8_t ACLReceiveBufferLocked();
void ACLReleaseReceiveBuffer();
void ACLSetDataToOld();
void ACLSetDataToNew();
uint8_t ACLDataIsNew();

#endif /*NET_ACL_H*/
