#ifndef UTIL_RTC_H
#define UTIL_RTC_H

/* include board specific header file */
#include INC_BOARD( rtc.h )


/* RTC Interface */

/** @brief Initialize real time clock
 *
 */
void RTCInit( void );

/** @brief Start real time clock
 * 
 * Will not have any effect if already running.
 */
void RTCStart( void );

/** @brief Stop real time clock
 * 
 */
void RTCStop( void );

/** @brief Get current time from real time clock
 * 
 * @return current time in milliseconds
 */
uint32_t RTCGetTime( void );

/** @brief Set new time for real time clock
 * 
 * @param newtime new time in milliseconds
 */
void RTCSetTime( uint32_t newtime );

#endif /*UTIL_RTC_H*/
