
#ifndef UTIL_CRC_C_
#define UTIL_CRC_C_

#include <util/crc.h>

void utilCalcCRC16( uint8_t *p, uint8_t datalength, uint8_t *crc )
{
	uint8_t tmp;

	crc[0] = 0;
	crc[1] = 0;

	while( datalength-- )
	{
		tmp = crc[1];
		crc[1] = crc[0];
		crc[0] = tmp;

		crc[1] ^= *p;
		crc[1] ^= crc[1] >> 4;
		crc[0] ^= crc[1] << 4;
		crc[0] ^= crc[1] >> 3;
		crc[1] ^= (crc[1] << 4) << 1;

		++p;
	}
}

void utilCalcCRC16Byte( uint8_t databyte, uint8_t* crc )
{
	uint8_t tmp;

	tmp = crc[1];
	crc[1] = crc[0];
	crc[0] = tmp;

	crc[1] ^= databyte;
	crc[1] ^= crc[1] >> 4;
	crc[0] ^= crc[1] << 4;
	crc[0] ^= crc[1] >> 3;
	crc[1] ^= (crc[1] << 4) << 1;
}

#endif /*UTIL_CRC_C_*/
